/**
 *
 * $Id: VkBackground.h,v 1.2 1995/04/20 05:32:07 toshok Exp $
 *
 * This file contains the definition for the VkBackground 
 * class, which gives a C++ interface to Xt work procedures.
 *
 * Chris Toshok
 * Copyright (C) 1995
 * The Hungry Programmers, Inc.
 * All Rights Reserved.
 *
 **/

#ifndef VKBACKGROUND_H
#define VKBACKGROUND_H

#include <X11/Intrinsic.h>
#include <Vk/VkConfig.h>

class VkBackground {
private:
    XtWorkProcId _id;
    static Boolean timeSliceHandler(XtPointer clientData);

protected:
    virtual Boolean timeSlice() = 0;

public:
    VkBackground();
    virtual ~VkBackground();

    void start();
    void stop();
};

#endif // VKBACKGROUND_H
